xmonad-contrib-0.16: Third party extensions for xmonad

Copyright | (c) Spencer Janssen <spencerjanssen@gmail.com>
License | BSD
Maintainer | Spencer Janssen <spencerjanssen@gmail.com>
Stability | unstable
Portability | unportable
Safe Haskell | None
Language | Haskell98

XMonad.Config.Gnome

Contents

- Usage

Description

This module provides a config suitable for use with the GNOME desktop environment.

Synopsis

- gnomeConfig :: XConfig (ModifiedLayout AvoidStruts (Choose Tall (Choose (Mirror Tall) Full)))
- gnomeRun :: X ()
- gnomeRegister :: MonadIO m => m ()
- desktopLayoutModifiers :: LayoutClass l a => l a -> ModifiedLayout AvoidStruts l a

# Usage

To use this module, start with the following `~/.xmonad/xmonad.hs`:

    import XMonad
    import XMonad.Config.Gnome

    main = xmonad gnomeConfig

For examples of how to further customize `gnomeConfig` see XMonad.Config.Desktop.

gnomeConfig :: XConfig (ModifiedLayout AvoidStruts (Choose Tall (Choose (Mirror Tall) Full))) Source #

gnomeRun :: X () Source #

Launch the "Run Application" dialog. gnome-panel must be running for this to work.

gnomeRegister :: MonadIO m => m () Source #

Register xmonad with gnome. 'dbus-send' must be in the $PATH with which xmonad is started.

This action reduces a delay on startup only only if you have configured gnome-session>=2.26: to start xmonad with a command as such:

    gconftool-2 -s /desktop/gnome/session/required_components/windowmanager xmonad --type string

desktopLayoutModifiers :: LayoutClass l a => l a -> ModifiedLayout AvoidStruts l a Source #